Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.optional
Class WeakishReference12

    java.lang.Object
      |
      +--org.apache.tools.ant.util.WeakishReference
            |
            +--org.apache.tools.ant.util.optional.WeakishReference12

public class WeakishReference12
extends WeakishReference

This is a reference that really is is Weak, as it uses the appropriate java.lang.ref class.

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.util.WeakishReference
`WeakishReference.HardReference`

Constructor Summary
`WeakishReference12(java.lang.Object reference)` create a new soft reference, which is bound to a Weak reference inside

Method Summary
`java.lang.Object` | `get()` Returns this reference object's referent.

Methods inherited from class org.apache.tools.ant.util.WeakishReference
`createReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakishReference12

    public WeakishReference12(java.lang.Object reference)

  create a new soft reference, which is bound to a Weak reference inside

Parameters:
  `reference` -
See Also:
  `WeakReference`

Method Detail

### get

    public java.lang.Object get()

  Returns this reference object's referent.

  Specified by:
    `get` in class `WeakishReference`
  Returns:
    referent.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.